@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


body{
    font-family: 'Poppins', sans-serif;
    font-size: 1.2rem;
}

.wrapper2{
    width: 90%;
    margin: 2rem auto;
}

.gallery2{
    display: grid;
    gap: 8px;
    grid-template-columns: repeat(4,1fr);
    grid-auto-rows: 150px;
}

.box{
    background-size: cover;
    object-fit: cover;
    background-repeat: no-repeat;
    background-position: center;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #222;
    background-blend-mode: hard-light;  
    transition: all 0.8s ease-in-out;
}

.box:hover{
    background-color: #999;
}

#box-1{
    grid-row: span 2;
}

#box-2{
    grid-row: span 4;
    grid-column: span 2;
}

#box-4{
    grid-row: span 3;
}

#box-5{
    grid-row: span 2;
}

@media screen and (max-width: 834px) {
    #box-1{
        grid-row: span 2;
        grid-column: span 1;
    }
    
    #box-2{
        grid-row: span 6;
        grid-column: span 4;
    }

    #box-3{
        grid-column: span 3;
        grid-row: span 2;
    }
    
    #box-4{
        grid-row: span 2;
        grid-column: span 2;
    }
    
    #box-5{
        grid-row: span 2;
        grid-column: span 2;
    }

}


@media screen and (max-width: 425px) {
    #box-1{
        grid-row: span 2;
        grid-column: span 2;
    }
    
    #box-2{
        grid-row: span 4;
        grid-column: span 4;
    }

    #box-3{
        grid-column: span 2;
        grid-row: span 2;
    }
    
    #box-4{
        grid-row: span 2;
        grid-column: span 2;
    }
    
    #box-5{
        grid-row: span 2;
        grid-column: span 2;
    }
    
}
